import styles from "../index.module.css";
import Root from "./rout.jsx";
import {useEffect} from "react";
import { useParams } from 'react-router-dom';
import {getSensor, getLastValue} from '../sensor.js';

export default function Sensor(){
    const { sensorName } = useParams();
    const sensor = {
        name: "Exemple sensor name",
        type: "PERCENT",
        value: 0.2,
      };

    return(
      <div>
        <h2>{sensorName}</h2>
        <h2>Valeur actuelle</h2>
        <div className={styles.sensorValue}>
            {getLastValue(sensorName)}
        </div>
        <h2>Historique</h2>
        <div className={styles.historique}>
            {getSensor(sensorName).map((value, index) => (
                <div key={index}  className={styles.listItem}>{value}</div>
            )).reverse()}
        </div>
      </div>
    );

}