export const SensorType =
    {
        'TEMPERATURE': 0,
        'PERCENT': 1,
        'OPEN_CLOSE': 2,
        'ON_OFF': 3
    };
export class Sensor{
    #name;
    #data;
    #last_value;
    constructor(name, data) {
        this.#name = name;
        this.#data = data;
        this.#last_value = data[0];
    }
    get name(){
        return this.#name;
    }
    set name(name){
        this.#name = name;
    }
    get data(){
        return this.#data;
    }
    set data(data){
        this.#data.push(data);
    }
    get last_value(){
        return this.#last_value;
    }
    set last_value(last_value){
        this.#last_value = last_value;
    }
}
export class Temperature extends Sensor{

}
export class Percent extends Sensor{

}
export class Open_Close extends Sensor{

}
export class On_Off extends Sensor{

}
export let Sensors = [];
export function creerSensor(donnes){
    let S;
    let type = SensorType[donnes.type];
    switch (type){
        case SensorType.TEMPERATURE:
            S = new Temperature(donnes.name, [donnes.value]);
            break;
        case SensorType.PERCENT:
            S = new Percent(donnes.name, [donnes.value]);
            break;
        case SensorType.OPEN_CLOSE:
            S = new Open_Close(donnes.name, [donnes.value]);
            break;
        case SensorType.ON_OFF:
            S = new On_Off(donnes.name, [donnes.value]);
            break;
        default:
            throw new Error(`Type de capteur : ${donnes.type} n'est pas reconnu`);
    }
    Sensors.push(S);
    return S;
}
export function existSensor(name) {
    return Sensors.filter(s => s.name === name).length > 0;
}
export function updateSensor(name, value){
    const sensor = Sensors.find(s => s.name === name)
    sensor.data.push(value);
    sensor.last_value = value;
}
export function getSensor(name) {
    return Sensors.find(s => s.name === name).data;
}
export function getLastValue(name) {
    return Sensors.find(s => s.name === name).last_value;
}